Bug 302231 - urlwrite not working
urlwrite not working
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: octave (Show other bugs)
el5
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 12:10 EDT by Alexander
Modified: 2008-02-28 16:41 EST (History)
0 users

See Also:
Fixed In Version: 3.0.0-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 13:08:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander 2007-09-23 12:10:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.5) Gecko/20070713 Firefox/2.0.0.5

Description of problem:
Hi,

The urlwrite command (and urlread) is a front-end to the the curl library. It seems that curl support was not activated when octave was compiled. curl is in the base repository. It would be great if curl support could be enabled.

Another issue it that mkoctfile uses -lncurses, but octave-devel does not depend on ncurses-devel.

Thank you for maintaining octave!
Alex


Version-Release number of selected component (if applicable):
octave-2.9.13-1.el5

How reproducible:
Always


Steps to Reproduce:
1. start octave
2. urlwrite ("ftp://ftp.octave.org/pub/octave/README", "README.txt");
3.

Actual Results:
nothing

Expected Results:
The file ftp://ftp.octave.org/pub/octave/README would be downloaded and saved as README.txt

Additional info:
Comment 1 Quentin Spencer 2008-01-09 13:08:00 EST
I have fixed this in CVS and started building a new release.
Comment 2 Fedora Update System 2008-01-22 10:53:50 EST
octave-3.0.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update octave'
Comment 3 Fedora Update System 2008-02-28 16:41:54 EST
octave-3.0.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.